Bug 57514 - Installer crashed when installing on 486DX33
Installer crashed when installing on 486DX33
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-14 13:29 EST by Randall W. Holobaugh
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-26 23:39:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Dump file from 486-100 install failure (60.54 KB, text/plain)
2001-12-14 14:34 EST, Michael Lay
no flags Details

  None (edit)
Description Randall W. Holobaugh 2001-12-14 13:29:15 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.4)
Gecko/20011126 Netscape6/6.2.1

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  Trying to install RH in text mode.
2.  Selected the following packages to be installed:
        Printing Support
        Classic X Windows System
        X Window System
        KDE
        Sound/Multimedia Support
        network Support
        Router/Firewall
        DNS Server
        Utilities

3. Formatted the filesystem automatically
4. Message on screen said "Transferring install image to hard disk"
5. Solid disk activity for about 2 minutes, then I recived and error
message "Exception Occurred"

Exception Occurred:

An unhandled exception has occured.  This is most likely a bug.  Please
copy the full text of this exception or save the crash dump to a floppy
then file a detailed bug report against anaconda at
http://bugzilla.redhat.com/bugzilla


Traceback (innermost last):
	File "/usr/bin/anaconda:, line 620, in ?
		intf.run(id,dispatch,configFileData)
	File "/usr/lib/anaconda/text.py", line 408, in run
		dispatch.gotoNext()
	File "/usr/lib/anaconda/dispatch.py", line 143, in gotoNext()
		self.moveStep()
	File "/usr/lib/anaconda/dispatch.py", line 208, in moveStep
		rc = apply(func, self.bindArgs(args))
	File "/usr/lib/anaconda/packages.py", line 489, in doInstall
		l.sort(sortPackages)
	File "/usr/lib/anaconda/packages.py", line 294, in sortPackages
		elif (string.lower(first[rpm.RPMTAG_NAME])
	TypeError: read-only character buffer, None
		



	

Additional info:
Comment 1 Michael Lay 2001-12-14 14:33:31 EST
This looks like the error I get also.  Installing 7.2 on a 486DX4-100 with
64M ram, 6G HD, Trident video.  Install process goes to varying points, then
fails with the bug window.  I will attach my dump file.
Comment 2 Michael Lay 2001-12-14 14:34:58 EST
Created attachment 40671 [details]
Dump file from 486-100 install failure
Comment 3 Michael Fulbright 2001-12-17 14:32:04 EST
Could you please save the errors to floppy and attach all the error output?
Comment 4 Brent Fox 2002-01-20 22:21:43 EST
mlay, the following section of your traceback makes me think you have either a
bad cd or a bad cdrom drive.  Did you check the md5sum of the ISO?

<4>hdb: irq timeout: status=0xd0 { Busy }
<4>hdb: ATAPI reset complete
<4>hdb: irq timeout: status=0xc0 { Busy }
<4>hdb: ATAPI reset complete
<4>hdb: irq timeout: status=0xc0 { Busy }
<4>end_request: I/O error, dev 03:40 (hdb), sector 782820
<4>hdb: status timeout: status=0xc0 { Busy }
<4>hdb: drive not ready for command
<4>hdb: ATAPI reset complete
<4>hdb: irq timeout: status=0xd0 { Busy }
<4>hdb: ATAPI reset complete
<4>hdb: irq timeout: status=0xd0 { Busy }
<4>hdb: ATAPI reset complete
<4>spurious 8259A interrupt: IRQ7.

Comment 5 Brent Fox 2002-01-31 12:45:21 EST
Closing due to inactivity.  Please reopen if you have more information.

Note You need to log in before you can comment on or make changes to this bug.